<template>
  <div>
    <label :for="inputName" :class="labelClass">{{ labelTitle }}</label>
    <input
      :id="inputName"
      :name="inputName"
      :type="inputType"
      autocomplete="off"
      :class="inputClass"
      :placeholder="capitalize()"
      :value="modelValue"
      @input="$emit('inputValue', $event.target.value)"
    />
  </div>
</template>

<script>
export default {
  model: {
    prop: 'modelValue',
    event: 'inputValue',
  },
  props: {
    modelValue: {
      type: String,
      required: true,
    },
    inputName: {
      type: String,
      required: true,
    },
    labelClass: {
      type: String,
      default: '',
    },
    labelTitle: {
      type: String,
      required: true,
    },
    inputType: {
      type: String,
      default: 'text',
    },
    inputClass: {
      type: String,
      default: '',
    },
    inputPlaceholder: {
      type: String,
      default: '',
    },
  },
  methods: {
    capitalize() {
      return this.inputPlaceholder.toUpperCase()
    },
  },
}
</script>

<style lang="scss" scoped>
@import 'UiInput.scss';
</style>
